ADDUSER(8)

NAMN
adduser, addgroup - lägg till en användare eller grupp till systemet

SYNOPSIS
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [flaggor] [--home KATALOG] [--shell SKAL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] användare

addgroup [flaggor] [--gid ID] grupp

addgroup --system [flaggor] [--gid ID] grupp

adduser [flaggor] användare grupp

  VANLIGA FLAGGOR
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FIL]

BESKRIVNING

adduser och addgroup lägger till användare och grupper till systemet enligt kommandoradens flaggor och konfigurationsinformation i /etc/adduser.conf. De är vänliga gränssnitt till lågnivåverktyg som useradd, groupadd och usermod, väljer som standard giltiga värden för UID och GID enligt Debians policy, skapar hemkatalogeer med skelettkonfiguration, kör egendefinierade skript och andra funktioner. adduser och addgroup kan köras i ett av fem lägen:

  Lägg till en vanlig användare
Om startad med ett icke-flagga-argument och utan flaggan --system eller --group kommer adduser att lägga till en vanlig användare. adduser kommer att välja det första tillgängliga uid från intervallet som angivits för vanliga användare i konfigurationsfilen. Uid kan åsidosättas med flaggan --uid. Intervallet som anges i konfigurationsfilen kan åsidosättas med flaggorna --firstuid och --lastuid Som standard ges varje användare i Debian GNU/Linux en motsvarande grupp med samma namn. Användargrupper låter kataloger vara skrivbara för grupper som är lätthanterliga genom att placera lämpliga användare i nya gruppen, sätta set-group-id-biten på katalogen och se till att alla användare använder en umask på 002. Om denna funktion är inaktiverad genom att ställa in USERGROUPS till no ställs alla användares GID in till USERS_GID. Användarnas grupper kan också åsidosättas från kommandoraden med flaggorna --gid eller --ingroup för att ställa in grupp efter id eller namn, respektive. Användare kan även läggas till i en eller flera grupper som definierats i adduser.conf, antingen genom att ställa in ADD_EXTRA_GROUPS till 1 i adduser.conf eller genom att skicka med --add_extra_groups på kommandoraden. adduser kommer att skapa en hemkatalog enligt DHOME, GROUPHOMES och LETTERHOMES. Hemkatalogen kan köras över från kommandoraden med flaggan --home och skalet med flaggan --shell. Hemkatalogers setgid-bit är satt om USERGROUPS är yes så att alla filer som skapas i användarens hemkatalog kommer att ha den korrekta gruppen. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Om filen /usr/local/sbin/adduser.local existerar kommer den att startas efter att användarens konto har blivit uppsatt för att göra vissa lokala inställningar. Argumenten som skickas till adduser.local är:
användarnamn uid gid hemkatalog
Miljövariabeln VERBOSE ställs in enligt följande regel:

0 om --quiet angivs

1 om varken --quiet eller --debug är angivna

2 om --debug angivs
    (Samma gäller för varibeln DEBUG men DEBUG bör inte användas och kommer att tas bort i en senare version av adduser.)

  Lägg till en systemanvändare
Om anropad med ett icke-flagga-argument och flaggan --system kommer adduser att lägga till en systemanvändare. Om en användare med samma namn redan existrerar i system-UID-intervallet (eller, om UID angavs, om en användare med det UID redan existerar) kommer adduser att avslutas med en varning. Denna varning kan gömmas med "--quiet". adduser kommer att välja det första tillgängliga UID:t från intervallet som angivits för systemanvändare i konfigurationsfilen (FIRST_SYSTEM_UID och LAST_SYSTEM_UID). För att sätta ett särskilt UID kan flaggan --uid användas. Som standard placeras systemanvändare i gruppen nogroup. För att placera den nya systemanvändaren i en redan existerande grupp kan flaggorna --gid eller --ingroup användas. För att placera den nya systemanvändaren i en ny grupp med samma ID, använd flaggan --group. En hemkatalog skapas med samma regler som för vanliga användare. Den nya systemanvändaren kommer att ha skalet /bin/false (om den inte åsidosätts med flaggan --shell) och ha möjligheten för inloggning avstängd. Skelettkonfigurationsfiler kopieras inte.

  Lägg till en användargrupp
Om adduser kallas upp med flaggan --group och utan flaggan --system eller om addgroup kallas upp respektive kommer en användargrupp att läggas till. Ett GID kommer att väljas från intervallet som angivits för system GID-nummer i konfigurationsfilen (FIRST_GID, LAST_GID). För att åsidosätta detta kan gid anges med flaggan --gid. Gruppen skapas utan några användare.

  Lägg till en systemgrupp
Om addgroup kallas upp med flaggan --system kommer en systemgrupp att läggas till. Ett GID kommer att väljas från intervallet som angivits för systemets gid-nummer i konfigurationsfilen. Gid kan åsidosättas med flaggan --gid. Gruppen skapas utan några användare.

  Lägg till en existerande användare till en existerande grupp
Om startad med två icke-flaggor-argument kommer adduser att lägga till en existerande användare till en existerande grupp.

FLAGGOR

--conf FIL
    Använd FIL istället för /etc/adduser.conf.

--disabled-login
    Kör inte passwd för att ställa in lösenordet. Användaren kommer inte att kunna använda sitt konto tills lösenordet är inställt.

--disabled-password
    Liknande --disabled-login men inloggningar är fortfarande möjliga (till exempel genom SSH RSA-nycklar) men inte med lösenordautentisering.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Ställer in gecos-fältet för den nya genererade posten. adduser kommer inte att fråga efter finger-information om denna flagga anges.

--gid ID
    När en grupp skapas tvingar denna flagga den nya gid att vara det angivna numret. När en användare skapas kommer denna flagga att sätta användaren i den gruppen.

--group
    När kombinerad med --system kommer en grupp med samma namn och ID som systemanvändaren att skapas. Om den inte kombineras med --system kommer en grupp med angivet namn att skapas. Detta är standardåtgärden om programmet startas som addgroup.

--help
    Visa korta instruktioner.

--home KATALOG
    Använd KATALOG som användarens hemkatalog hellre än det förvalda i konfigurationsfilen. Om katalogen inte existerar kommer den skapas och skelettfiler kopieras dit.

--shell SKAL
    Använd SKAL som användarens inloggningsskal hellre än det förvalda i konfigurationsfilen.

--ingroup GRUPP
    Lägg till den nya användaren i GRUPP istället för en användargrupp eller den förvalda gruppen definierad av USERS_GID i inställningsfilen. Detta påverkar användarens primära grupp. För att lägga till extra grupper läs vidare om add_extra_groups.

--no-create-home
    Skapa inte hemkatalogen även om den inte existerar.

--quiet
    Visa inte informativa meddelanden, visa endast varningar och fel.

--debug
    Var informativ, mycket användbar om du vill hitta problem med adduser.

--system
    Skapa en systemanvändare eller -grupp.

--uid ID
    Tvinga det nya användar-id:t att vara angivet nummer. adduser kommer att misslyckas om användar-id:t redan används.

--firstuid ID
    Åsidosätt det första uid i intervallet som uid väljs från (åsidosätter FIRST_UID som specifieras i instälningsfilen).

--lastuid ID
    Åsidosätt det sista uid i intervallet som uid väljs från (LAST_UID).

--add_extra_groups
    Lägg till nya användare till extragrupper definierade i inställningsfilen.

--version
    Visa version och information om copyright.

RETURVÄRDEN

0   Användaren som angavs existerar redan. Detta kan härledas till två anledningar: Användaren skapades av adduser eller fanns redan på systemet före exekveringen av adduser. Om adduser returnerade 0 kommer en körning av adduser en andra gång med samma flaggor också att returnera 0.

1   Skapandet av användaren eller gruppen misslyckades eftersom det redan fanns med ett annat UID/GID än det som angavs. Användarnamnet eller gruppnamnet avvisades eftersom det inte överrensstämde med det angivna reguljära uttrycket, läs adduser.conf(5). Adduser avbröts av en signal.
    Eller för att många andra ännu så länge odokumenterade anledningar skrivs ut på konsollen. Du kan då överväga att ta bort --quiet för att göra adduser mer pratig.

FILER

/etc/adduser.conf
    Standard konfigurationsfil för adduser och addgroup

SE OCKSÅ
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2.

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifieringar av Roland Bauerschmidt och Marc Haber. Ytterligare ändringar av Joerg Hoh och Stephen Gran.
Copyright (C) 1995 Ted Hajek, med en hel del lånat från ursprungliga Debian adduser
Copyright (C) 1994 Ian Murdock. adduser är fri programvara; se GNU General Public Licence version 2 eller senare för villkor för kopiering. Det finns ingen garanti.